### Function

# GimpUi QueryStringCallback

#### Declaration

    void
    (* GimpQueryStringCallback) (
      GtkWidget* query_box,
      const gchar* string,
      gpointer data
    )

#### Description [src]

Note that you must not `g_free()` the passed string.

#### Parameters

`query_box` | `GtkWidget`
| The query box.
| The data is owned by the caller of the function.
`string` | `const gchar*`
| The entered string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.